D4Science Infrastructure - Support #1326

Enable new LDAP Server on wiki.gcube-system.org
Nov 09, 2015 05:33 PM - Massimiliano Assante

Status: Closed Start date: Nov 09, 2015
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Other Estimated time: 0.00 hour
Infrastructure: Production

Description

Currently the user nunzioandreagalante, nunzioandrea.galante@engq.it has to be able to use the gCube wiki but since he is new to
the project he does not have access.
gCube Wiki is bond to the old LDAP. Can we bind the new LDAP too?

Related issues:
Related to D4Science Infrastructure - Task #1346: Create a BlueBridge group o... Closed Nov 12, 2015

History

#1 - Nov 11, 2015 06:12 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Working on it.

#2 - Nov 11, 2015 08:06 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 80

Now the wiki can authenticate using both the Idap servers. The user needs to choose the right one before authenticating.

The one named NeMIIS is the istitutional one, while the one named D4Science is the one populated by the portals. | tested both with my credentials,
but Nunzio should be a better test case.

#3 - Nov 12, 2015 10:37 AM - Nunzio Andrea Galante

Currently i just can authenticate via NeMIS server but still cannot modify the page since the edit tab is missing.
Seems like i have not grants to do that.

Andrea Dell'Amico wrote:
Now the wiki can authenticate using both the Idap servers. The user needs to choose the right one before authenticating.

The one named NeMIS is the istitutional one, while the one named D4Science is the one populated by the portals. | tested both with my
credentials, but Nunzio should be a better test case.

#4 - Nov 12, 2015 10:43 AM - Massimiliano Assante

@nunzioandrea.galante@eng.it, you should probably authenticate via D4Science domain. please try that.

#5 - Nov 12, 2015 10:47 AM - Andrea Dell'Amico

@massimiliano.assante@isti.cnr.it the write permissions on the wikis are assigned to people included in a specific group. Are there any groups set in
the new (D4Science) Idap server? | don't think that we want give write access to all users?

#6 - Nov 12, 2015 10:56 AM - Nunzio Andrea Galante
| tryed but i cannot authenticate via d4Science domain

Massimiliano Assante wrote:

@nunzioandrea.galante@eng.it, you should probably authenticate via D4Science domain. please try that.

Apr 30, 2025 1/2



mailto:nunzioandrea.galante@eng.it

#7 - Nov 12, 2015 11:09 AM - Massimiliano Assante
Thanks Andrea, | see what the problem is now. You are right we cannot open the wiki to the whole set of D4Science.
Perhaps the easier way to allow them could be to create a BlueBridgeProject group and assign them just the 2 users who need to write in this wiki
(Nunzio and Maria who are set at watchers of this ticket)
Until we don't actually start to export VRE Groups into the new LDAP as we planned to.
#8 - Nov 12, 2015 11:16 AM - Andrea Dell'Amico
- Status changed from Feedback to Closed
Massimiliano Assante wrote:
Thanks Andrea, | see what the problem is now. You are right we cannot open the wiki to the whole set of D4Science.
Perhaps the easier way to allow them could be to create a BlueBridgeProject group and assign them just the 2 users who need to write in this

wiki (Nunzio and Maria who are set at watchers of this ticket)

Until we don't actually start to export VRE Groups into the new LDAP as we planned to.

I'll try and find a way. In the mean time | made two modifications:

e the D4Science domain authenticates using the email addresses, so it works in the same way as the portal and redmine.
¢ | added Nunzio to the imarine group in the 'old' Idap server so that he can now edit pages.

I'm closing this ticket and opening a new one. We need a modification to the Idap structure and another one to the mediawiki configuration.

#9 - Nov 12, 2015 11:17 AM - Andrea Dell'Amico
- % Done changed from 80 to 100

#10 - Nov 12, 2015 11:18 AM - Massimiliano Assante

Please add also Maria Antonietta Di Girolamo

#11 - Nov 12,2015 11:19 AM - Andrea Dell'Amico
- Related to Task #1346: Create a BlueBridge group on the Idap-redmine Idap server added

#12 - Nov 12,2015 11:22 AM - Andrea Dell'Amico

Massimiliano Assante wrote:

Please add also Maria Antonietta Di Girolamo

Sorry, | forgot to write that i added her too. On the old Idap server, so the user is maria.digirolamo and she needs to authenticate using the NeMIS
domain.
